package org.jcon.core.std;

import org.jcon.core.WorkerWrapper;
import org.jcon.core.std.PartStd;

/**
* This class is the standard Worker. For complete
* documentation see Worker for now. 
*
* @author Jack Harich
*/
public class WorkerWrapperStd extends PartStd 
    implements WorkerWrapper {

//---------- Protected Fields ----------------------------
protected Object instance;

//---------- WorkerWrapper Implementation ----------------
/**
* Sets the worker instance. This is required.
*/
public void setWorker(Object instance) {
    this.instance = instance;
}
/**
* Returns the worker instance.
*/
public Object getWorker() {
    return instance;
}
//---------- Private Methods -----------------------------
//--- Std
private static void print(String text) {
    System.out.println("WorkerWrapperStd" + text);
}

} // End class